Page 19 of 29 FirstFirst ... 91718192021 ... LastLast
Results 181 to 190 of 285

Thread: Build (backport) an newer Ubuntu package to run on an older Ubuntu version

  1. #181
    Join Date
    Jan 2005
    Beans
    403

    Re: Build (backport) an newer Ubuntu package to run on an older Ubuntu version

    OK, I'm really interested inthis so I can backport VLC 0.8.6 to Dapper. I just don't get the how-to!
    The first thing is to get prevu, which I did, but how do I install Prevu? Dpkg?
    sorry to be a numbnut but I just can't think straight!
    Thanks!

  2. #182
    Join Date
    Jan 2005
    Beans
    403

    Re: Build (backport) an newer Ubuntu package to run on an older Ubuntu version

    OK, I installed with dpkg after adding some dependencies. I initialized Prevu and tried "prevu vlc" and got an error:
    Traceback (most recent call last):
    File "/usr/bin/prevu", line 146, in ?
    BackportFromAPT(sys.argv[1],DIST).backport()
    File "/usr/bin/prevu", line 83, in backport
    self.prepare_sources()
    File "/usr/bin/prevu", line 104, in prepare_sources
    raise ValueError("Fetching source package failed. Are you sure it exists?")
    ValueError: Fetching source package failed. Are you sure it exists?


    Any ideas? I know that vlc exists in dapper and I downloaded the Feisty deb file separately. Can I use that deb to make the backport?
    Thanks

  3. #183
    Join Date
    Jul 2006
    Beans
    232
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Build (backport) an newer Ubuntu package to run on an older Ubuntu version

    Firstly you need to download Prevu from the Sourceforge page.

    Then you install it with "sudo dpkg -i prevu*.deb"

    Then you correct the dependencies with "sudo apt-get -f install"

    Then you need to add the Fiesty / Gutsy repos to your /etc/apt/sources.list file

    Then you run "sudo apt-get update"

    Then "sudo prevu-init"

    If you want to backport VLC, you would do "apt-get source vlc"

    Then "cd" into the new VLC source directory and edit the debian/control file. Example "nano debian/control"

    In the control file, you need to strip the version requirements for the dependencies.

    Then you run "prevu" in the source directory

    Prevu is an amazing tool and without it, I surely would have moved away from Kubuntu Dapper a long time ago! I've lost count of the amount of successul backports I've acheived!
    Last edited by megamaced; June 11th, 2007 at 03:38 PM.

  4. #184
    Join Date
    Jan 2005
    Beans
    403

    Re: Build (backport) an newer Ubuntu package to run on an older Ubuntu version

    thanks Megamaced! those are some seriously good instructions and I wouldn't have gleaned that from the initial how-to.
    I did everything right until the "apt-get source vlc" so I'll give that ago and post the results.
    Many thanks!

  5. #185
    Join Date
    Jan 2005
    Beans
    403

    Re: Build (backport) an newer Ubuntu package to run on an older Ubuntu version

    hmmm...
    I got this after running "apt-get source vlc"

    apt-get source vlc
    Reading package lists... Done
    Building dependency tree... Done
    E: Could not open file /var/lib/apt/lists/packages.freecontrib.org_plf_dists_dapper_free_sou rce_Sources - open (2 No such file or directory)

    I checked and there is no such directory.

    Where does the VLC source directory get downloaded? the whole command above took about 4 seconds so I doubt anything got downloaded anyway.

    Here's what's added to my sources.list:
    deb-src http://archive.ubuntu.com/ubuntu feisty main restricted universe multiverse

    #Added by prevu
    deb file:/var/cache/prevu/dapper-debs ./

    Thanks for any help!

  6. #186
    Join Date
    Jan 2005
    Beans
    403

    Re: Build (backport) an newer Ubuntu package to run on an older Ubuntu version

    I wondered if there was a package in Feisty or Gutsy for VLC and here's what I found at the page of the source in my source.list:

    Page address: http://archive.ubuntu.com/ubuntu/dis...rce/Sources.gz
    Package: vic
    Binary: vic
    Version: 1:2.8ucl1.1.5-8
    Priority: optional
    Section: universe/net
    Maintainer: Guus Sliepen <guus@debian.org>
    Build-Depends: libx11-dev, libxext-dev, tcl8.4-dev, tk8.4-dev, libuclmmbase1-dev, debhelper (>= 4.0.0)
    Architecture: any
    Standards-Version: 3.6.2
    Format: 1.0
    Directory: pool/universe/v/vic
    Files:
    0f0421daa3a0c24dd2fdb3ae31004b56 631 vic_2.8ucl1.1.5-8.dsc
    db4593e7686f1089aef55827271b5564 1113030 vic_2.8ucl1.1.5.orig.tar.gz
    f5ce54a676ad8de0e5d879e140724b01 37781 vic_2.8ucl1.1.5-8.diff.gz

  7. #187
    Join Date
    Jul 2006
    Beans
    232
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Build (backport) an newer Ubuntu package to run on an older Ubuntu version

    Sounds like you might have a problem with one of the repositories. Can you post your whole /etc/apt/sources.list file?

  8. #188
    Join Date
    Jan 2005
    Beans
    403

    Re: Build (backport) an newer Ubuntu package to run on an older Ubuntu version

    Thanks Megamaced-here it is:

    # deb http://packages.freecontrib.org/ubuntu/plf/ breezy free non-free
    # deb http://deb.opera.com/opera etch non-free
    # The above lines were generated automatically by EasyUbuntu 3.0 Beta Release
    # The rest of your sources.list follows

    deb http://archive.ubuntu.com/ubuntu/ dapper main restricted universe multiverse
    # deb cdrom:[Ubuntu 6.06 _Dapper Drake_ - Beta powerpc (20060420)]/ dapper main restricted
    ## Add comments (##) in front of any line to remove it from being checked.
    ## Use the following sources.list at your own risk.

    ##deb http://archive.ubuntu.com/ubuntu dapper main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu dapper main restricted universe multiverse

    ## MAJOR BUG FIX UPDATES produced after the final release
    deb http://archive.ubuntu.com/ubuntu dapper-updates main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu dapper-updates main restricted universe multiverse

    ## UBUNTU SECURITY UPDATES
    deb http://security.ubuntu.com/ubuntu dapper-security main restricted universe multiverse
    deb-src http://security.ubuntu.com/ubuntu dapper-security main restricted universe multiverse

    ## BACKPORTS REPOSITORY (Unsupported. May contain illegal packages. Use at own risk.)
    deb http://archive.ubuntu.com/ubuntu/ dapper-backports main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu dapper-backports main restricted universe multiverse

    ## PLF REPOSITORY (Unsupported. May contain illegal packages. Use at own risk.)
    deb http://packages.freecontrib.org/plf dapper free non-free
    deb-src http://packages.freecontrib.org/plf dapper free non-free

    ## CANONICAL COMMERCIAL REPOSITORY (Hosted on Canonical servers, not Ubuntu
    ## servers. RealPlayer10, Opera and more to come.)
    deb http://archive.canonical.com/ubuntu dapper-commercial main

    # deb-src http://fr.archive.ubuntu.com/ubuntu breezy universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu feisty main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu gutsy main restricted universe multiverse




    #Added by prevu
    deb file:/var/cache/prevu/dapper-debs ./

  9. #189
    Join Date
    Apr 2005
    Beans
    1,350

    Re: Build (backport) an newer Ubuntu package to run on an older Ubuntu version

    Quote Originally Posted by ubuntubrian View Post
    Thanks Megamaced-here it is:

    # deb http://packages.freecontrib.org/ubuntu/plf/ breezy free non-free
    # deb http://deb.opera.com/opera etch non-free
    # The above lines were generated automatically by EasyUbuntu 3.0 Beta Release
    # The rest of your sources.list follows

    deb http://archive.ubuntu.com/ubuntu/ dapper main restricted universe multiverse
    # deb cdrom:[Ubuntu 6.06 _Dapper Drake_ - Beta powerpc (20060420)]/ dapper main restricted
    ## Add comments (##) in front of any line to remove it from being checked.
    ## Use the following sources.list at your own risk.

    ##deb http://archive.ubuntu.com/ubuntu dapper main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu dapper main restricted universe multiverse

    ## MAJOR BUG FIX UPDATES produced after the final release
    deb http://archive.ubuntu.com/ubuntu dapper-updates main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu dapper-updates main restricted universe multiverse

    ## UBUNTU SECURITY UPDATES
    deb http://security.ubuntu.com/ubuntu dapper-security main restricted universe multiverse
    deb-src http://security.ubuntu.com/ubuntu dapper-security main restricted universe multiverse

    ## BACKPORTS REPOSITORY (Unsupported. May contain illegal packages. Use at own risk.)
    deb http://archive.ubuntu.com/ubuntu/ dapper-backports main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu dapper-backports main restricted universe multiverse

    ## PLF REPOSITORY (Unsupported. May contain illegal packages. Use at own risk.)
    deb http://packages.freecontrib.org/plf dapper free non-free
    deb-src http://packages.freecontrib.org/plf dapper free non-free

    ## CANONICAL COMMERCIAL REPOSITORY (Hosted on Canonical servers, not Ubuntu
    ## servers. RealPlayer10, Opera and more to come.)
    deb http://archive.canonical.com/ubuntu dapper-commercial main

    # deb-src http://fr.archive.ubuntu.com/ubuntu breezy universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu feisty main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu gutsy main restricted universe multiverse




    #Added by prevu
    deb file:/var/cache/prevu/dapper-debs ./
    comment out PLF REPOSITORY and try again
    ASUS K53S Ubuntu 14.04 64-bit
    ASUS U36jc, i5-480M, 2.66GHz, 4Gb, nVidia Optimus Ubuntu 14.04 64-bit
    HP DV6-2113sa, AMD Turion™ II M620, 4Gb, ATI Radeon™ HD 4530 Ubuntu 14.04 64-bit
    ASUS 1015PX Netbook Lubuntu 14.04

  10. #190
    Join Date
    Jul 2006
    Beans
    232
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Build (backport) an newer Ubuntu package to run on an older Ubuntu version

    Yes, as Foxy said, comment out the PLF repo, then run "sudo aptitude update" again.

Page 19 of 29 FirstFirst ... 91718192021 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •